<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.vetti.hotake.mapper.HotakeCandidateComplianceMapper">
    
    <resultMap type="HotakeCandidateCompliance" id="HotakeCandidateComplianceResult">
        <result property="id"    column="id"    />
        <result property="userId"    column="user_id"    />
        <result property="fileId"    column="file_id"    />
        <result property="typeName"    column="type_name"    />
        <result property="description"    column="description"    />
        <result property="delFlag"    column="del_flag"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="remark"    column="remark"    />
    </resultMap>

    <sql id="selectHotakeCandidateComplianceVo">
        select id, user_id, file_id, type_name, description, del_flag, create_by, create_time, update_by, update_time, remark from hotake_candidate_compliance
    </sql>

    <select id="selectHotakeCandidateComplianceList" parameterType="HotakeCandidateCompliance" resultMap="HotakeCandidateComplianceResult">
        <include refid="selectHotakeCandidateComplianceVo"/>
        <where>  
            <if test="userId != null "> and user_id = #{userId}</if>
            <if test="fileId != null "> and file_id = #{fileId}</if>
            <if test="typeName != null  and typeName != ''"> and type_name = #{typeName}</if>
            <if test="description != null  and description != ''"> and description = #{description}</if>
        </where>
    </select>
    
    <select id="selectHotakeCandidateComplianceById" parameterType="Long" resultMap="HotakeCandidateComplianceResult">
        <include refid="selectHotakeCandidateComplianceVo"/>
        where id = #{id}
    </select>
        
    <insert id="insertHotakeCandidateCompliance" parameterType="HotakeCandidateCompliance" useGeneratedKeys="true" keyProperty="id">
        insert into hotake_candidate_compliance
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="userId != null">user_id,</if>
            <if test="fileId != null">file_id,</if>
            <if test="typeName != null">type_name,</if>
            <if test="description != null">description,</if>
            <if test="delFlag != null">del_flag,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
            <if test="remark != null">remark,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="userId != null">#{userId},</if>
            <if test="fileId != null">#{fileId},</if>
            <if test="typeName != null">#{typeName},</if>
            <if test="description != null">#{description},</if>
            <if test="delFlag != null">#{delFlag},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
            <if test="remark != null">#{remark},</if>
         </trim>
    </insert>

    <update id="updateHotakeCandidateCompliance" parameterType="HotakeCandidateCompliance">
        update hotake_candidate_compliance
        <trim prefix="SET" suffixOverrides=",">
            <if test="userId != null">user_id = #{userId},</if>
            <if test="fileId != null">file_id = #{fileId},</if>
            <if test="typeName != null">type_name = #{typeName},</if>
            <if test="description != null">description = #{description},</if>
            <if test="delFlag != null">del_flag = #{delFlag},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
            <if test="remark != null">remark = #{remark},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteHotakeCandidateComplianceById" parameterType="Long">
        delete from hotake_candidate_compliance where id = #{id}
    </delete>

    <delete id="deleteHotakeCandidateComplianceByIds" parameterType="String">
        delete from hotake_candidate_compliance where id in 
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>
</mapper>

